/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.ui;

import org.eclipse.jface.text.source.SourceViewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import benten.cat.ui.viewers.TranslationSourceViewer;
import benten.ui.UiToolkit;

/**
 * 基本的なウィジェットを生成する CAT UI ツールキットです。
 */
public class CatUiToolkit extends UiToolkit {

	/**
	 * ソース・ビューアーを生成します。
	 * @param parent 親コンポジット
	 * @param editable 編集可能な場合は true
	 * @return ソース・ビューアー
	 */
	public SourceViewer createSourceViewer(Composite parent, boolean editable) {
		GridData gd = new GridData(GridData.FILL_BOTH);
		gd.minimumHeight = 19;
		SourceViewer viewer = new TranslationSourceViewer(parent, SWT.MULTI | SWT.WRAP | SWT.BORDER | SWT.V_SCROLL);
		viewer.setEditable(editable);
		Control control = viewer.getControl();
		control.setLayoutData(gd);
		return viewer;
	}
}
